function ParametrosdeTitulosPagar() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro',
			'Parâmetros de Títulos a Pagar']);
		geral.esperarLoading();
	};

	this.editarAjustes = (multa, mora, desconto, acrescimo, desconto1, tipoDeBaixa) => {
		geral.searchAndClickGridFields('DSMULTAPAG', multa, 'DSAJUCTPAG',
			'DSMORAPAG', mora, 'DSAJUCTPAG',
			'DSUANTAUTO', desconto, 'DSAJUCTPAG',
			'DSCREPAG', acrescimo, 'DSAJUCTPAG',
			'DSJUCTPAG', desconto1, 'DSAJUCTPAG',
			'NMANTAUTO', tipoDeBaixa, 'NMTPBAIXAPAG',
		);
	};

	this.editarAjustesTipoBaixa = (creditoEmConta, DOC, TED, tipoDeCreditoBancario, utilizaHabilitacao,
		utilizaPadrao, utilizaAutorizacao, utilizaNota, exibeCalculo, serie, fornecedor, tipoOperacao, tipoConta) => {
		protractorHelper.waitForElementVisibility(element(by.id('NMCREDCONT')));
		geral.searchAndClickGridFields('NMCREDCONT', creditoEmConta, 'NMTPBAIXAPAG',
			'NMBAIXADOC', DOC, 'NMTPBAIXAPAG',
			'NMBAIXATED', TED, 'NMTPBAIXAPAG',
			'DSTPCREDBANC', tipoDeCreditoBancario, 'DSTPCREDBANC',
			'DSSERIEENTRSAG', serie, 'DSSERIEENTR',
			'NMRAZSOCFORNSAG', fornecedor, 'NMRAZSOCFORN',
			'NMTIPOOPERSAG', tipoOperacao, 'NMTIPOOPER',
			'DSTPCTPAGARSAG', tipoConta, 'DSTPCTPAGAR');
		geral.selectNatives('IDHABIBOLE', utilizaHabilitacao,
			'IDUTILPADRBOLHAB', utilizaPadrao,
			'IDUTIAUTDESP', utilizaAutorizacao,
			'IDUTLNFDEVOL', utilizaNota,
			'IDEXTELACALAJUBX', exibeCalculo);
	};

	this.editarIntervalodeDatas = (anteriores, posteriores, anteriores1, posteriores1) => {
		geral.fillFields(
			'QTDIAANTBAIP', anteriores,
			'QTDIAAPOBAIP', posteriores,
			'QTDIAANTBOLP', anteriores1,
			'QTDIAAPOBOLP', posteriores1);
	};
	this.apagarCamposOperacional = () => {
		geral.clickLimparAutoComplete('DSMULTAPAG');
		geral.clickLimparAutoComplete('DSMORAPAG');
		geral.clickLimparAutoComplete('NMCREDCONT');
		geral.clickLimparAutoComplete('DSUANTAUTO');
		geral.clickLimparAutoComplete('DSCREPAG');
		geral.clickLimparAutoComplete('DSJUCTPAG');
		geral.clickLimparAutoComplete('NMANTAUTO');
		geral.clickLimparAutoComplete('NMBAIXADOC');
		geral.clickLimparAutoComplete('NMBAIXATED');
		geral.clickLimparAutoComplete('DSTPCREDBANC');
		geral.clickLimparAutoComplete('DSSERIEENTRSAG');
		geral.clickLimparAutoComplete('NMRAZSOCFORNSAG');
		geral.clickLimparAutoComplete('NMTIPOOPERSAG');
		geral.clickLimparAutoComplete('DSTPCTPAGARSAG');
	};

	this.apagarCamposIntervaloDatas = () => {
		geral.limpaCampoPorId('QTDIAANTBAIP');
		geral.limpaCampoPorId('QTDIAAPOBAIP');
		geral.limpaCampoPorId('QTDIAANTBOLP');
		geral.limpaCampoPorId('QTDIAAPOBOLP');
	};
}
module.exports = new ParametrosdeTitulosPagar();
