function tipoTituloPagar () {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
    const geral = new Helper.geral();
    const self = this;
    const protractorHelper = require('protractor-helper');

    this.abrir = ()=> {
        z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		self.clickByPath(['Parametrização', 'Financeiro', 'Títulos a Pagar', 'Tipo de Títulos a Pagar']);
		geral.esperarLoading();
		geral.clickAplicarFiltro();
    };
    // Override funçao Zeedhi, pois não funciona para 'Títulos a Receber'
	this.clickByPath = function (fullPath) {
		let prefix = '.zh-main-menu>.menu-group>.menu-group-items>';
		let child;
		for (const index in fullPath) {
			if (fullPath.hasOwnProperty(index)) {
				if (fullPath[index] == 'Títulos a Pagar') {
					child = element.all(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index])).get(1);
				} else {
					child = element(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index]));
				}
				child = child.element(by.xpath('..')).element(by.xpath('..'));
				protractorHelper.click(child);
				prefix = '.sub-menu>';
				browser.sleep(500);
			}
		}
    };
    this.adicionar = (codigo, descricao, contaContabil, classificacaoFinanceira, descricaoDocumento, tipoDeConta, contabiliza,
        historicoPadrao, lancamentoManual, tratamentoVencimento) => {
    geral.clickAndFllField('CDTPCTPAGAR', codigo);
    geral.clickAndFllField('DSTPCTPAGAR', descricao);
    geral.searchAndClickGridField('CDCONTCTBL', contaContabil, 'NMCONTCTBL');
    geral.searchAndClickGridField('DSCLASSFINA', classificacaoFinanceira, 'DSCLASSFINA');
    geral.clickAndFllField('DSDEFACTPAG', descricaoDocumento);
    geral.selectNative('IDTPCTPAGAR', tipoDeConta);
    geral.selectNative('IDCTBLCTPAG', contabiliza);
    geral.searchAndClickGridField('DSHISTPADR', historicoPadrao, 'DSHISTPADR');
    geral.selectNative('IDUTLANCCPAG', lancamentoManual);
    geral.selectNative('IDTRATVENCDIANUTIL', tratamentoVencimento);
    };
    this.editar = (descricao, contaContabil, classificacaoFinanceira, descricaoDocumento, historicoPadrao, lancamentoManual,
        tratamentoVencimento) => {
            geral.fillField('DSTPCTPAGAR', descricao);
            geral.clickLimparAutoComplete('CDCONTCTBL');
            geral.searchAndClickGridField('CDCONTCTBL', contaContabil, 'NMCONTCTBL');
            geral.clickLimparAutoComplete('DSCLASSFINA');
            geral.searchAndClickGridField('DSCLASSFINA', classificacaoFinanceira, 'DSCLASSFINA');
            geral.fillField('DSDEFACTPAG', descricaoDocumento);
            geral.clickLimparAutoComplete('DSHISTPADR');
            geral.searchAndClickGridField('DSHISTPADR', historicoPadrao, 'DSHISTPADR');
            geral.selectNative('IDUTLANCCPAG', lancamentoManual);
            geral.selectNative('IDTRATVENCDIANUTIL', tratamentoVencimento);
        };
}
module.exports = new tipoTituloPagar();
